
Jupiter - Zadanie #1729
Optymalizacja rozmiaru aplikacji
2017-06-08 09:10 - Michał Komar

Status: Rozwiązany Start date: 2017-06-08
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Tester: Łukasz Waśkiewicz
Description

Obecnie aplikacja zajmuje:

8.0K    en/inline.bundle.js
5.0M    en/main.bundle.js
152K    en/styles.bundle.js
6.2M    en/vendor.bundle.js
8.0K    pl/inline.bundle.js
5.0M    pl/main.bundle.js
152K    pl/styles.bundle.js
6.2M    pl/vendor.bundle.js

Jest to zdecydowanie za dużo. Trzeba koniecznie zmniejszyć jej rozmiar.

Associated revisions
Revision f2818bb9 - 2017-06-08 11:00 - Michał Komar

refs #1729: Próby zmniejszenia rozmiaru

Revision 13dc0d30 - 2017-06-27 12:52 - Michał Komar

refs #1729: Użycie yarn install z opcją flat

Revision dc15f19a - 2017-06-27 14:18 - Michał Komar

refs #1729: Użycie yarn install z opcją flat

Revision a32156a4 - 2017-06-28 08:59 - Michał Komar

refs #1729: Poprawienie konfiguracji package.json

History
#1 - 2017-06-08 11:02 - Michał Komar
- Description updated
#2 - 2017-06-08 11:03 - Michał Komar
- Description updated

#3 - 2017-06-28 08:57 - Michał Komar
- Status changed from Nowy to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- % Done changed from 0 to 100

Po modyfikacji package.json i spłaszczeniu struktury wersja produkcyjna aplikacji wyglada tak:
4,0K    en/inline.d0074d9ab2106c83a908.bundle.js
2,5M    en/main.b0afd3c4886b3538046a.bundle.js
2,4M    en/vendor.a96184c172ebf12bf386.bundle.js
4,0K    pl/inline.06ead5aa91556b86c5bb.bundle.js
2,5M    pl/main.4ae8425038fdf0e5b91f.bundle.js
2,4M    pl/vendor.60b9120b609b060cb231.bundle.js

Bardziej w tym momencie się zejść nie da.

#4 - 2017-06-29 12:21 - Łukasz Waśkiewicz
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

OK
